#ifndef CORE_H
#define CORE_H

#define SDL_ASSERT_LEVEL 3
#include <SDL3/SDL.h>

class Core
{
private:
	static int ms_argc;
	static char** ms_argv;
public:
	static void Init(int argc, char* argv[]);
	static void Shutdown();

	static void Frame();

	static void Error(const char* fmt, ...);
	static void Warning(const char* fmt, ...);

	static bool HasOption(const char* name);
	static const char* GetOptionParameter(const char* name);
};

#endif // !CORE_H